
#include "petscksp.h"

#include <mpi.h>

#include<iostream>
#include <fstream>
#include <stdio.h>
#include <stdlib.h>
#include <iomanip>
#include <vector>
#include <cmath>
#include <string>
#include <sstream>
#include <limits>


static char help[] = "Solves a tridiagonal linear system with KSP.\n\n";

using namespace std;

int Rank,np;
int PetscPrintError(const char error[],...){
	if (Rank==0) cerr << "PETSc Error ... exiting" << endl;
	exit(1);
	return 0;
}

int main(int argc, char **argv){

	int rank, size;

	cout<<"before intialization"<<endl;
	MPI_Init (&argc, &argv);      /* starts MPI */
	cout<<"after intialization"<<endl;

	cout<<"before rank"<<endl;
	MPI_Comm_rank (MPI_COMM_WORLD, &rank);        /* get current process id */
	cout<<"after rank"<<endl;

	MPI_Comm_size (MPI_COMM_WORLD, &size);        /* get number of processes */
	printf( "Hello world from process %d of %d\n", rank, size );


	PetscInitialize(&argc,&argv,(char *)0,help);
	PetscErrorPrintf = PetscPrintError;



	MPI_Finalize();
	return 0;


}

